package internal

import "github.com/volker-raschek/go-logger/pkg/logger"

func InitializeLogger(logLevel string) logger.Logger {
	switch logLevel {
	case "debug", "DEBUG":
		return logger.NewDefaultLogger(logger.LogLevelDebug)
	case "info", "INFO":
		return logger.NewDefaultLogger(logger.LogLevelInfo)
	case "warn", "WARN":
		return logger.NewDefaultLogger(logger.LogLevelWarn)
	case "error", "ERROR":
		return logger.NewDefaultLogger(logger.LogLevelError)
	case "fatal", "FATAL":
		return logger.NewDefaultLogger(logger.LogLevelFatal)
	default:
		return nil
	}
}
